DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmEncoderOutputStream Class Referenceabstract

abstract class that defines an interface through which encoder classes (such as DcmRLEEncoder) may export their encoded data More...

## Public Member Functions
virtual void | write (const unsigned char *buf, size_t bufsize)=0
| write the given buffer into the output stream
virtual | ~DcmEncoderOutputStream ()
| Virtual Destructor.

## Detailed Description

abstract class that defines an interface through which encoder classes (such as DcmRLEEncoder) may export their encoded data

## Member Function Documentation

## ◆ write()

virtual void DcmEncoderOutputStream::write | ( | const unsigned char * | buf,
|  | size_t | bufsize )
| pure virtual

write the given buffer into the output stream

Parameters

  buf | pointer to buffer
  bufsize | number of bytes in buffer

Referenced by DcmRLEEncoder::write().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcrleenc.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2